TOLOWER(3)

NAME
tolower, tolower_l - upper case to lower case letter conversion

LIBRARY
libc

SYNOPSIS
#include <ctype.h>
int
tolower(int c);
int
tolower_l(int c, locale_t loc);

DESCRIPTION
The tolower() and tolower_l() functions convert an upper-case letter to the corresponding lower-case letter. The argument must be representable as an unsigned char or the value of EOF.

The tolower_l() function takes an explicit locale argument, whereas the tolower() function uses the current global or per-thread locale.

RETURN VALUES
If the argument is an upper-case letter, the tolower() and tolower_l() functions return the corresponding lower-case letter if there is one; otherwise, the argument is returned unchanged.

COMPATIBILITY
The 4.4BSD extension of accepting arguments outside of the range of the unsigned char type in locales with large character sets is considered obsolete and may not be supported in future releases. The towlower() or towlower_l() function should be used instead.

SEE ALSO
ctype(3), ctype_l(3), islower(3), islower_l(3), towlower(3), towlower_l(3), xlocale(3)

STANDARDS
The tolower() function conforms to isoC.